<?php
ob_start();
session_start();

require 'lang.php';


// 86400 = 1 day
if ($_GET['tracking'] != ""){
	setcookie('tracking', $_GET['tracking'], time() + (86400 * 30), "/");
}
if ($_GET['tag'] != ""){
	setcookie('tag', $_GET['tag'], time() + (86400 * 30), "/");
}
if ($_GET['affid'] != ""){
	setcookie('affid', $_GET['affid'], time() + (86400 * 30), "/");
}

$affid = $_GET['affid'];
$tag = $_GET['tag'];

if ($_GET['tracking'] != ""){
	$tag = $_GET['tracking'];
} 
if ($_GET['cid'] != "") {
	$tag = $_GET['cid'];
}
if ($_GET['sid'] != "") {
	$affid = $_GET['sid'];
}

$ip = $_SERVER['REMOTE_ADDR'];
$geo = "";
if (function_exists("geoip_country_code_by_name")) {
	$geo = geoip_country_code_by_name($ip);
}
?>

<!DOCTYPE html>
<html lang="<?if ($_GET['lng'] != "") echo $_GET['lng']?>">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">
	<title>
		<? echo $title?>
	</title>
	<link rel="stylesheet" href="css/styles.min.css">
	<script>

		var emailLink;
		var redirectLink;

		function formSubmit() {

			// Show loader
			$("#submit_button").hide();
			$("#loader").show();

			let email = $('#emailInput').val();

			if (email !== "") {
				emailLink = email.split("@")[1];
				
				$.ajax({
					url: "api.php",
					dataType: "json",
					data: { 
						"email": email,
						"lng": 'en',
						"geo": "<? echo $geo ?>",
						"link": window.location.href,
						"affid" : "<? echo $affid ?>",
						"tag" : "<? echo $tag ?>",
					},
					method: 'GET',
					success: function(data) {
						redirectLink = data.redirect;

						$(".content__s_2").slideUp();
						$(".content__s_3").slideDown();
					},
					error: function(data) {
						console.error(data.responseJSON);
						$("#errorResponse").html(data.responseJSON.error);
						$(".content__s_2").slideUp();
						$(".content__s_4").slideDown();
					}
				});
			}

			return false;
		}

		function goToMail() {
			window.location.href = "https://" + emailLink;
		}

		function redirect() {
			window.location.href = redirectLink;
		}

		function goBack() {
			$("#submit_button").show();
			$("#loader").hide();

			$('#emailInput').val("");

			$(".content__s_4").slideUp();
			$(".content__s_2").slideDown();
		}
	</script>
	<style>
		.loader {
			display: none;
			border: 16px solid #ffffff;
			border-top: 16px solid #00e871;
			border-radius: 50%;
			width: 80px;
			height: 80px;
			animation: spin 2s linear infinite;
		}

		@keyframes spin {
			0% {
				transform: rotate(0deg);
			}

			100% {
				transform: rotate(360deg);
			}
		}
	</style>

</head>

<body>
	<div class="wrap">
		<div class="bg"></div>

		<div class="content">

			<div class="content__l1">
				<div class="content__s content__s_active">
					<? echo $headline?>
				</div>
			</div>

			<div class="content__l2">

				<div class="content__s content__s_active center">
					<span class="content__timer"></span>
				</div>

			</div>

			<div class="content__l3">

				<form action="" method="post" class="content__form" onsubmit="return formSubmit();">

					<div class="content__s content__s_active content__s_1">
						<? echo $q1?>
						<div class="content__buttons">
							<button type="button" class="content__button content__button_yes content__button_go" data-step="1">
								<? echo $yes?>
							</button>
							<button type="button" class="content__button content__button_no content__button_go" data-step="1">
							<? echo $no?>
							</button>
						</div>
					</div>


					<div class="content__s content__s_2">
						<? echo $q2?>
						<div class="content__input-group">
							<div>
								<img src="images/envelope-regular.svg" alt="" class="content__icn-envelope">
								<input id="emailInput" required type="email" name="email" value="" placeholder="Email" class="content__input">
							</div>
						</div>
						<br>

						<input type="hidden" name="tag" value="<? echo $_GET['tag'] ?>">
						<input type="hidden" name="affid" value="<? echo $_GET['affid'] ?>">
						<input type="hidden" name="lp" value="<? echo $_GET['lp'] ?>">

						<div class="center_content">

							<button type="submit" name="submit" class="content__button content__button_submit" id="submit_button">
								<?echo $content['testafterlead'] ?>
							</button>

							<div id="loader" class="loader"></div>
						</div>

						<br>
						<?echo $text3?>

					</div>


					<div class="content__s content__s_3">
						<div class="content__buttons">
							<!--<button class="content__button" onclick="goToMail();">
								<?echo $content['checkmail'] ?>
							</button>-->
							&nbsp;
							<button class="content__button" onclick="redirect();">
								<?echo $content['redirect'] ?>
							</button>
						</div>
					</div>

					<div class="content__s content__s_4">
						<div class="center_content warning">
							<? echo $q3?>&nbsp;(<span id="errorResponse"></span>)
						</div>
						<br>
						<div class="center_content">
							<button class="content__button" onclick="goBack();">
							<?echo $content['retry'] ?>
							</button>
						</div>
					</div>

				</form>

			</div>

		</div>

	</div>

	</div>

	</div>

	<script src="js/scripts.min.js"></script>
</body>

</html>
